<template>
	<view>
		<view class="grxx">
			<view class="grxxItem">
				<view class="sfzhm">
					<text>姓名</text>
					<input v-model="name" class="uni-input" focus />
				</view>
				<view class="sfzhm">
					<text>手机号</text>
					<input v-model="phone" class="uni-input" focus />
				</view>
				<view class="sfzhm">
					<button style="width: 50%;" size="mini" type="default" @click="changeWorkSpace">修改工作地点</button>
					<button style="width: 30%;" size="mini" type="primary" @click="searchData">查询</button>
				</view>
			</view>
		</view>
		<uni-table class="table" :loading="loading" @selection-change="selects" border stripe type='selection'>
			<!-- 表头行 -->
			<uni-tr>
				<uni-th width="20%" align="center">姓名</uni-th>
				<uni-th width="60%" align="center">手机号</uni-th>
				<uni-th width="20%" align="center">所属部门</uni-th>
			</uni-tr>
			<!-- 表格数据行 -->
			<!-- <uni-tr v-for="(item,index) in userList" :key="index"> -->
			<uni-tr>
				<uni-td align="center">
					1
				</uni-td>
				<uni-td align="center">
					1
				</uni-td>
				<uni-td align="center">
					1
				</uni-td>
			</uni-tr>
		</uni-table>

	</view>
</template>

<script>
	import {
		postRequest,
		getRequest
	} from '@/api/api.js'
	import * as dd from 'dingtalk-jsapi';
	export default {
		data() {
			return {
				userList: [],
				total: 0,
				loading: false,
				tableData: {
					companyId: "",
					current: 1,
					id: "",
					officeId: "",
					openId: "",
					userType: '',
					orders: [{
						asc: true,
						column: ""
					}],
					size: 10
				},
				isnb: 0,
				picTime: false,
				time: '',
				numList: [],
				numData: '',
				visible: true,
				indicatorStyle: `height: 50px;`,
				name: '',
				phone: ''
			}
		},
		onLoad() {
			let userType = uni.getStorageSync('userType')
			this.tableData.userType = userType;
			let date = new Date();
			let mouth = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1;
			let dates = date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate();
			this.time = date.getFullYear() + "-" + mouth + "-" + dates; //表示当前日期

		},
		methods: {
			//时间选择器变化
			bindChange: function(date) {
				this.time = date;
				this.postLDList()
			},
			postLDList() {
				this.numList = []
				this.numData = ''
				this.userList = []
				let data = {
					type: 0, //0:每日流调，1：临时流调，2：在院流调
					createDate: this.time
				}
				postRequest('/dailyReportNum/findListByCodeAndType', data).then(res => {
					if (res.code == '200') {
						let list = res.data;
						list.forEach(item => {
							this.numList.push(item.num)
						})
						this.getList();
					}
				})
			},
			searchData() {
				this.getList();
			},
			numInput(value) {
				this.numData = value
			},
			getQueryString(name) {
				const reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
				const search = window.location.search.split('?')[1] || '';
				const r = search.match(reg) || [];
				return r[2];
			},
			getList() {
				let that = this
				let data = {
					name: this.name,
					phone: this.phone,
					reportNum: that.getQueryString('num'),
					userType: this.getQueryString('userType')
				}
				this.userList = []
				postRequest('/dailyReport/alreadyReportList', data).then((res) => {
					if (res.code == '200' && res.data.length > 0) {
						this.loading = false;
						this.userList = res.data;
					} else {
						this.userList = []
						this.loading = false;
					}
				})
			},
			selects(ss) {
				// let list=[]
				// let index=ss.detail.index;
				// index.forEach(item=>{
				// 	list.push(this.userList[item].id)
				// })
				// this.userIdlist=list

				console.log(ss)
			},
			changeWorkSpace() {},
			clickNum(officeId, type, areaType) {
				let data = {
					areaType,
					type,
					reportNum: this.numData
				}
				uni.navigateTo({
					url: `/pages/ld/sfInfo?data=${JSON.stringify(data)}`
				})
			}
		}
	}
</script>

<style>
	.grxxItem {
		border-radius: 5px;
		padding: 10px;
		margin: 10px;
		box-shadow: 0px 2px 15px 3px rgba(0, 0, 0, 0.1);
	}

	/deep/.uni-combox__input {
		font-size: 14px;
	}

	.grxxItem .sfzhm {
		padding: 10px;
		display: flex;
		justify-content: space-between;
		align-items: center;
		font-size: 84%;
		color: #999999;
		position: relative;
	}

	.sfzhm .uni-list-cell-left {
		width: 30%;
	}

	.sfzhm image {
		width: 28rpx;
		height: 30rpx;
	}

	.sfzhm .uni-list-cell-db {
		flex: 1
	}

	.sfzhm:first-of-type input {
		flex: 1;
	}

	.grxxItem .sfzhm:last-of-type {
		border: none;
	}

	.table {
		width: 94%;
		margin: 0 3%;
	}

	/* 时间选择器 */
	.picTime {
		z-index: 10;
		height: 100%;
		width: 100%;
		background-color: rgba(0, 0, 0, 0.5);
		position: fixed;
		bottom: 0;
		left: 0;
	}

	.uni-padding-wrap {
		position: absolute;
		bottom: 400rpx;
		left: 0;
		width: 750rpx;
		background-color: white;
		display: flex;
		justify-content: center;
		padding: 10px 0;
	}

	.uni-padding-wrap button {
		height: 30px;
		line-height: 30px;
		font-size: 15px;
	}

	.uni-padding-wrap button:last-of-type {
		background-color: #007AFF;
		color: white;
	}

	.pickers {
		position: fixed;
		bottom: 0;
		left: 0;
		text-align: center;
		width: 750rpx;
		height: 400rpx;
		margin-top: 20rpx;
		background-color: white;
	}

	.pickers .picker-view {
		width: 750rpx;
		height: 400rpx;
		margin-top: 20rpx;
		background-color: white;
	}

	.tabButton {
		color: #007AFF;
		text-decoration: underline;
		font-size: 14px;
		background-color: white;
	}

	.tabButton::after {
		border: 0;
	}

	.tab {
		font-size: 14px;
		background-color: white;
	}

	.tab::after {
		border: 0;
	}
</style>
